Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#43805 - [speexdsp] Packages depending on it in [extra], but speexdsp still in [testing]

Attached to Project: Arch Linux
Opened by Andrew Gunnerson (chenxiaolong) - Friday, 13 February 2015, 02:12 GMT
Last edited by Eric Belanger (Snowman) - Friday, 13 February 2015, 03:28 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

The new speex and pulseaudio updates have landed in [extra], but they depend on speexdsp, which is still in [testing]. This breaks pacman updates:

chenxiaolong@cxl-4270cto ~ ยป sudo pacman -Syu
:: Synchronizing package databases...
core is up to date
extra is up to date
community is up to date
multilib is up to date
repo-ck is up to date
:: Starting full system upgrade...
resolving dependencies...
warning: cannot resolve "speexdsp", a dependency of "speex"
warning: cannot resolve "speexdsp", a dependency of "pulseaudio"
warning: cannot resolve "speexdsp", a dependency of "speex"
:: The following packages cannot be upgraded due to unresolvable dependencies:
pulseaudio speex

:: Do you want to skip the above packages for this upgrade? [y/N]
This task depends upon

Closed by  Eric Belanger (Snowman)
Friday, 13 February 2015, 03:28 GMT
Reason for closing:  Fixed

Loading...